body {
    font-family: var(--font-base);
    margin: 0;
    padding: 0;
}

img {
    width: 100%;
    max-width: 100%;  
    height: auto;   
}

section {
    padding: 60px 0;
}

.page-container {
    /* min-height: 100vh; */
}

.sub-container {
    width: 100%;
    margin: 0 auto;
    padding-left: var(--spacing-4);
    padding-right: var(--spacing-4);
    box-sizing: border-box;
}

.sub-container .text-header {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-6);
    text-align: center;
    
    margin-bottom: var(--spacing-10);
}

.sub-container .text-header .title-line {
    width: 28px;
    height: 1px;
    margin: 0 auto;
    background-color: #111;
}

.sub-container .text-header .subhead {
    font-size: 0.875rem;
    font-weight: 600;
    letter-spacing: 0.12em;
    color: #989898;
}

.sub-container .text-header .pretitle {
    font-size: 1.25rem;
    font-weight: 600;
}

.sub-container .text-header .head {
    font-size: 1.75rem;
    letter-spacing: 0.01em;
    line-height: 1.2;
}

.sub-container .text-header .caption {
    font-size: 1.125rem;
    font-weight: 500;
    color: #8d8d8d;
}

.sub-container .text-header .lead {
    font-size: 1.25rem;
    font-weight: 700;
    letter-spacing: 0.02em;
}

.sub-container .text-header .badge {
    display: inline-block;
    margin: 0 auto;
    padding: var(--spacing-2) var(--spacing-3);
    border-radius: 18px;
    font-size: 1rem;
    font-weight: 700;
    background-color: #5c56a3;
}

.sub-container .text-header .subdesc {
    font-size: 1.25rem;
    line-height: 1.6;
    letter-spacing: 0.02em;
}

.sub-container .text-header .desc {
    font-size: 1.125rem;
    line-height: 1.6;
    letter-spacing: 0.02em;
}

.sub-container .text-header .head, 
.sub-container .text-header .desc {
    word-break: keep-all;
    overflow-wrap: break-word;
}

.m-br {
    display: block;
}

.material-symbols-outlined {
    font-variation-settings:
    'FILL' 0,
    'wght' 300,
    'GRAD' 0,
    'opsz' 48
}

@media (min-width: 768px) {
    section {
        padding: 80px 0;
    }
    
    .sub-container {
        max-width: 720px;
        padding-left: 0;
        padding-right: 0;
    }

    .sub-container .text-header .subhead {
        font-size: 1.25rem;
    }

    .sub-container .text-header .pretitle {
        font-size: 2.25rem;
    }

    .sub-container .text-header .head {
        font-size: 3.75rem;
    }

    .sub-container .text-header .caption {
        font-size: 2rem;
    }

    .sub-container .text-header .lead {
        font-size: 2.25rem;
    }

    .sub-container .text-header .badge {
        font-size: 2rem;
    }

    .sub-container .text-header .subdesc {
        font-size: 1.5rem;
    }

    .sub-container .text-header .desc {
        font-size: 2rem;
    }

}

@media (min-width: 1024px) {
    section {
        padding: 100px 0;
    }

    .sub-container {
        max-width: 960px;
    }

    .sub-container .text-header {
        gap: var(--spacing-8);
    }

    .sub-container .text-header .subhead {
        font-size: 1.125rem;
        letter-spacing: 0.16em;
    }

    .sub-container .text-header .pretitle {
        font-size: 1.25rem;
    }

    .sub-container .text-header .head {
        font-size: 2.2rem;
        letter-spacing: 0.02em;
        line-height: 1.4;
        white-space: pre-line;
    }

    .sub-container .text-header .caption {
        font-size: 1.875rem;
    }
    
    .sub-container .text-header .lead { 
        font-size: 1.25rem;
        white-space: pre-line;
    }

    .sub-container .text-header .badge { 
        font-size: 1.25rem;
    }
    
    .sub-container .text-header .subdesc {
        font-size: 1.25rem;
    }

    .sub-container .text-header .desc {
        font-size: 1.125rem;
        white-space: pre-line;
    }

    .m-br {
        display: none;
    }
}

@media (min-width: 1280px) {
    .sub-container {
        max-width: 1200px;
    }
}

@media (min-width: 1440px) {
    .sub-container {
        max-width: 1400px;
    }

    .sub-container .text-header .subhead {
        font-size: 0.875rem;
    }

    .sub-container .text-header .head {
        font-size: 3rem;
    }
}